./editors/xemacs-packages, Common elisp packages for xemacs 21

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.18nb5, Package name: xemacs-packages-1.18nb5, Maintainer: hauke

Starting with release 21, xemacs does not come with lisp packages
any more. Instead, they are distributed separately from the main
sources.

This port attempts to provide a subset of the available packages that
should be useful for most users.

To install additional packages, use the "Manage Packages" menu
in the "Options" menu of your xemacs' menubar.


Required to run:
[editors/xemacs] [lang/perl5]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)


Version history: (Expand)


CVS history: (Expand)


   2020-08-31 20:13:29 by Thomas Klausner | Files touched by this commit (3631) | Package updated
Log message:
*: bump PKGREVISION for perl-5.32.
   2020-01-26 18:32:28 by Roland Illig | Files touched by this commit (981)
Log message:
all: migrate homepages from http to https

pkglint -r --network --only "migrate"

As a side-effect of migrating the homepages, pkglint also fixed a few
indentations in unrelated lines. These and the new homepages have been
checked manually.
   2019-08-11 15:25:21 by Thomas Klausner | Files touched by this commit (3557) | Package updated
Log message:
Bump PKGREVISIONs for perl 5.30.0
   2019-07-31 16:04:40 by Hauke Fath | Files touched by this commit (3)
Log message:
w3/url.el: Provide buffer-local-value for the sake of XEmacs 21.4
Minor pkglinting
   2019-06-08 12:41:00 by Roland Illig | Files touched by this commit (93)
Log message:
editors/*: let pkglint fix indentation and variable alignment

pkglint -Wall -F -r editors

Manually fixed the changes in editors/nedit since the "fixed" indentation
was wrong.
   2018-08-22 11:48:07 by Thomas Klausner | Files touched by this commit (3558)
Log message:
Recursive bump for perl5-5.28.0
   2017-08-10 14:02:08 by Hauke Fath | Files touched by this commit (3)
Log message:
leim/hebrew.el from the pre-release leim package causes build problems
for the xemacs{,-current}, so we use the stable package instead.
   2016-12-15 14:25:43 by Hauke Fath | Files touched by this commit (3) | Package updated
Log message:
Update editors/xemacs-packages to the latest and greatest.

These were release candidates according to upstream (Stephen
Turnbull):

"Right now, everything has gotten all the beta testing it's going to
get, so you can just package it from experimental."
<http://xemacs-beta.xemacs.narkive.com/TgII9kK7/when-do-experimental-packages-turn-stable>

but did not make to final before xemacs.org went south.

In addition, teach the update mechanism to use a configurable ftp
server.